GNU bug report logs - #49074
Emacs website does not display Lao string correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vee Satayamas <vsatayamas@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 49074 <at> debbugs.gnu.org and Vee Satayamas <vsatayamas@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 22 Jul 2021 19:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 15:50:18 2021
Received: from localhost ([127.0.0.1]:41677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6ei2-0008R2-5P
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:50:18 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m6ehw-0008QZ-R1
 for 49074 <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:50:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=uqcDa7PYbwdnnH/xfwj9Y9RfiCKEDPC2F/7UvLQGvrE=; b=KZ3C4TEaqtzM9kx3dlfWnqFvFU
 sWkHeWmlOxElrIm80kH21Jg47NOUCJXYGRb6XY9KoVF5wsphyWZ+0bGSR3fVfzQ4SQrXAnsv3Hsq0
 Knf/FyZFqUkobs8XBoZIFODu4SGkmlVMZuHRnayczVO4W5O+6MV3218CGrQ0ARzDNJFQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m6ehn-0006Te-Mu; Thu, 22 Jul 2021 21:50:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vee Satayamas <vsatayamas@HIDDEN>
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
X-Now-Playing: Four Tet's _Sixteen Oceans_: "4T Recordings"
Date: Thu, 22 Jul 2021 21:50:03 +0200
In-Reply-To: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 (Vee Satayamas's message of "Thu, 17 Jun 2021 14:51:16 +0700")
Message-ID: <871r7qgmc4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Vee Satayamas <vsatayamas@HIDDEN> writes: > The Emacs website,
    that is https://www.gnu.org/software/emacs/, does > not display Lao string
    "ສະບາຍດີ" correctly. Lao vowel sign ii (U+0EB5) > should be
    on top of Lao letter da (U+0E9 [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vee Satayamas <vsatayamas@HIDDEN> writes:

> The Emacs website, that is https://www.gnu.org/software/emacs/, does
> not display Lao string "=E0=BA=AA=E0=BA=B0=E0=BA=9A=E0=BA=B2=E0=BA=8D=E0=
=BA=94=E0=BA=B5" correctly. Lao vowel sign ii (U+0EB5)
> should be on top of Lao letter da (U+0E95).

This file has now been updated, so it should arrive on the web site
sometime later.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 22 Jul 2021 19:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 15:24:22 2021
Received: from localhost ([127.0.0.1]:41655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6eIw-0007m9-BF
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:24:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m6eIu-0007lv-Fq
 for 49074 <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:24:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34246)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m6eIn-0004Jb-DT; Thu, 22 Jul 2021 15:24:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1386
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m6eIl-0005Lz-Q2; Thu, 22 Jul 2021 15:24:12 -0400
Date: Thu, 22 Jul 2021 22:23:55 +0300
Message-Id: <83a6me2lv8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <875yx2gnyo.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 22 Jul 2021 21:14:55 +0200)
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN> <87fsw6go5q.fsf@HIDDEN> <875yx2gnyo.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: vsatayamas@HIDDEN, 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Vee Satayamas <vsatayamas@HIDDEN>,  49074 <at> debbugs.gnu.org
> Date: Thu, 22 Jul 2021 21:14:55 +0200
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > I grepped around to find the source for whatever's generating that
> > image, but I was unable to find it.
> 
> Hm...  I guess it's just the HELLO file that's been edited (to remove
> some vertical white space) and then made into a circle?  I'll have a go...

I think it's a circular clip from the HELLO display, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 22 Jul 2021 19:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 15:23:24 2021
Received: from localhost ([127.0.0.1]:41651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6eHz-0007kZ-SB
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:23:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m6eHv-0007kH-0l
 for 49074 <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:23:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34216)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m6eHp-0003f6-CE; Thu, 22 Jul 2021 15:23:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1322
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m6eHo-0005E4-9V; Thu, 22 Jul 2021 15:23:13 -0400
Date: Thu, 22 Jul 2021 22:22:53 +0300
Message-Id: <83bl6u2lwy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Nicolas Petton <nico@HIDDEN>
In-Reply-To: <87fsw6go5q.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 22 Jul 2021 21:10:41 +0200)
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN> <87fsw6go5q.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: vsatayamas@HIDDEN, 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Vee Satayamas <vsatayamas@HIDDEN>,  49074 <at> debbugs.gnu.org
> Date: Thu, 22 Jul 2021 21:10:41 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> The Emacs website, that is https://www.gnu.org/software/emacs/, does
> >> not display Lao string "ສະບາຍດີ" correctly. Lao vowel sign ii (U+0EB5)
> >> should be on top of Lao letter da (U+0E95).
> >
> > (You mean U+0E94, I presume, not U+0E95.)
> >
> > This is an image from an old version of Emacs.  The current versions
> > don't have this problem anymore.
> 
> Does this refer to
> 
> https://www.gnu.org/software/emacs/images/emacs-preview-unicode.png
> 
> ?

Yes.

> I grepped around to find the source for whatever's generating that
> image, but I was unable to find it.

I don't know either.  I hope Nicolas (CC'ed) could help us out.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 22 Jul 2021 19:15:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 15:15:06 2021
Received: from localhost ([127.0.0.1]:41641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6e9y-0005TC-JR
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:15:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m6e9w-0005N4-Sb
 for 49074 <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:15:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ukdmh2tceYfZJFwUvAAWub33DDKxhk89lnr4OjZB2D4=; b=E7AJIO3M4BbvP+s47N+lEEzDy8
 AuPkwuTVytAPBAsiVAF37XUcCKuQWhforAMaiuoLKTecnxhIqN8jmy+OOuQSB2X9rLDgH6FGsZ1CE
 zxb3rpaVXxzQlYvmk+/GTP1OQkMUer4rkWZ7M9Vv3XV3ISaNhxNjc96XEdrHOgyz1BqM=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m6e9n-0006Ap-My; Thu, 22 Jul 2021 21:14:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN> <87fsw6go5q.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXOzbqcgVtSVEj/
 //8/vFkLAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UHFhMEG71m5QMAAAF3SURBVCjPbdLBSgMxEADQ
 iWwW9NRCV1jPIvgXu8X2HCETMCcFW9h8RS9ePFVoevDUym4x85XOpC0iuBDIyyQzs9kF+OeZnCc1
 QGUe9OsZ2hbVMVhbUFbVOgMt6M34dIpRWbBgAApoka1wtuazjcKxMwrnO4DLBlCHBu6vGVcMPDSq
 RoY2DN+3Vp0xPLYr1/MZAw4Nqgxt4QYbNSqu+rytRu7nhhjFBPQTXOzuwkaKgsbm4dl9ckS1oKJp
 bklQvME0IhCR1PloVbQXRyhrdMR5Goi7LvG2RMS0D7ItJscISeroSDQw+gwk6hm7aUagYeZo4U6R
 1HYh+F/49HkCzTq/PXCjhQC7bnmQRq+JIro+0IjhBH7t93y5WjDrXpbWHDHoxbJPq5xtayt0Q5C7
 7ogy3vnT6UDpPnD670lG9AtG4tTa0xoHwS6jt3mbpOY1lJY2DV/8UnojjnGdkouS5yGvXcpky+PA
 dUo6Rr6S1FmE2FW0dZu/v9YPH/Cx7EWakAAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDctMjJU
 MTk6MDQ6MjcrMDA6MDCW5U7KAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA3LTIyVDE5OjA0OjI3
 KzAwOjAw57j2dgAAAABJRU5ErkJggg==
X-Now-Playing: Four Tet's _Sixteen Oceans_: "Harpsichord"
Date: Thu, 22 Jul 2021 21:14:55 +0200
In-Reply-To: <87fsw6go5q.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 22 Jul 2021 21:10:41 +0200")
Message-ID: <875yx2gnyo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I grepped around
 to find the source for whatever's generating that > image, but I was unable
 to find it. Hm... I guess it's just the HELLO file that's been edited (to
 remove some vertical white space) and then made into a circle? I'll have
 a go... Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: Vee Satayamas <vsatayamas@HIDDEN>, 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I grepped around to find the source for whatever's generating that
> image, but I was unable to find it.

Hm...  I guess it's just the HELLO file that's been edited (to remove
some vertical white space) and then made into a circle?  I'll have a go...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 22 Jul 2021 19:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 22 15:10:52 2021
Received: from localhost ([127.0.0.1]:41627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m6e5s-0005GP-JV
	for submit <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:10:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m6e5q-0005GB-Ti
 for 49074 <at> debbugs.gnu.org; Thu, 22 Jul 2021 15:10:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=2HrC1EI4yZsyscE3NjfBVTzxsD6fCF0Ek5lijU6Bvpk=; b=VWiQvq/u1UuUVHoWfSAY/lHU2x
 66vjp4egBHXritBXAONZhmCnwmbutCRYvMxSS4XBpUIg2JU73C87ICBSlPKni/XWaAlgixhqP7QO0
 OCq6i/hiTwdJSDaxLptL09dJVbP9WgBIZNmD/+t92l6bJY1bitFXFHDQyRQGir+EHBks=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m6e5h-00068q-Lp; Thu, 22 Jul 2021 21:10:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN>
X-Now-Playing: Four Tet's _Sixteen Oceans_: "Baby"
Date: Thu, 22 Jul 2021 21:10:41 +0200
In-Reply-To: <83o8c4zbph.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 17 Jun
 2021 19:40:26 +0300")
Message-ID: <87fsw6go5q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> The Emacs website,
    that is https://www.gnu.org/software/emacs/, does >> not display Lao string
    "ສະບາຍດີ" correctly. Lao vowel sign ii (U+0EB5) >> should be
    on top of Lao letter da (U+ [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: Vee Satayamas <vsatayamas@HIDDEN>, 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> The Emacs website, that is https://www.gnu.org/software/emacs/, does
>> not display Lao string "=E0=BA=AA=E0=BA=B0=E0=BA=9A=E0=BA=B2=E0=BA=8D=E0=
=BA=94=E0=BA=B5" correctly. Lao vowel sign ii (U+0EB5)
>> should be on top of Lao letter da (U+0E95).
>
> (You mean U+0E94, I presume, not U+0E95.)
>
> This is an image from an old version of Emacs.  The current versions
> don't have this problem anymore.

Does this refer to

https://www.gnu.org/software/emacs/images/emacs-preview-unicode.png

?  I grepped around to find the source for whatever's generating that
image, but I was unable to find it.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 18 Jun 2021 06:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 02:28:49 2021
Received: from localhost ([127.0.0.1]:55484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lu7zl-0005HS-G2
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2021 02:28:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lu7zk-0005HE-1s
 for 49074 <at> debbugs.gnu.org; Fri, 18 Jun 2021 02:28:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40518)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lu7ze-0001rF-RQ; Fri, 18 Jun 2021 02:28:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2599
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lu7ze-0002N4-DV; Fri, 18 Jun 2021 02:28:42 -0400
Date: Fri, 18 Jun 2021 09:28:49 +0300
Message-Id: <835yybznxa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vee Satayamas <vsatayamas@HIDDEN>
In-Reply-To: <4791fa30-be3e-d97e-48f0-e9961ff2cdb8@HIDDEN> (message from
 Vee Satayamas on Fri, 18 Jun 2021 12:39:38 +0700)
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN> <4791fa30-be3e-d97e-48f0-e9961ff2cdb8@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 49074 <at> debbugs.gnu.org
> From: Vee Satayamas <vsatayamas@HIDDEN>
> Date: Fri, 18 Jun 2021 12:39:38 +0700
> 
> > This is an image from an old version of Emacs.  The current versions
> > don't have this problem anymore.
> You are right. It works on my computer. I request to update the website. 
> Should I report this to a different mailing list?

No, this list is fine.  We just need to wait for someone to produce a
fixed image; I cannot do that myself.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 18 Jun 2021 05:39:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 18 01:39:53 2021
Received: from localhost ([127.0.0.1]:55462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lu7EP-000488-0o
	for submit <at> debbugs.gnu.org; Fri, 18 Jun 2021 01:39:53 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:35831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vsatayamas@HIDDEN>) id 1lu7EK-00047s-Oz
 for 49074 <at> debbugs.gnu.org; Fri, 18 Jun 2021 01:39:51 -0400
Received: by mail-pg1-f181.google.com with SMTP id v7so6881941pgl.2
 for <49074 <at> debbugs.gnu.org>; Thu, 17 Jun 2021 22:39:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=KYqEiUHGkVu02/U9Yn9BJkWCv9CgIAEJRkJZVCqWS0M=;
 b=ES+q9o7JOourJ2rFE0rSVphZoKMXTNOHstcg+cOYKXLSdJXQaLgj6m2J+MTHCvP0mC
 SEyxAbfsWK/CR78h+Dems5JGPTAcxLhHQeZ+dv02KqF98iHfpxF3h0M8/CvqcoiEhE0j
 JkoPKZq30DvXuCrKCLPFodSoGi3DbnXhWBhqgeYiSFWlHWkM2fHFtJMSW+8rUJJUUWFr
 /JOsQ3Ki33bbyiRnchrC5/qVZIurWkyZqOF11RXEXf1xsTcozG8wj2SFWIy3Z+4NVA93
 sL59+mrUO7Xt/V8WKsU15lKkJ81szNtEZBA+D5j500cAPfk3sQ66xZ3WARJQgTsTQScK
 bBnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=KYqEiUHGkVu02/U9Yn9BJkWCv9CgIAEJRkJZVCqWS0M=;
 b=J7+E55Y5mk2LxDJVZbrwcrNhDNP7bhlzh2//jzCBNh2L6d7DQ3Y0ySBe08kyRjCUi0
 OX5mZXfUUoSo7hgieHeUJaU0enPpLqJtX8gi8HJOzk/3EcgbH5+laVhlgPqcd7vjv1Wr
 tr3NoKx7JAGPHr6+oUz2d/HnUV2+TSiE/TTZByCU6UdRMLe7WeOk20Ip+IenbdNZxOG5
 FKX2qtTaDuS3xQ2nNgiKAptG9ErFsPYNOESBGTqLPl8ir8zgXjcLobezqbVgsczaWFh8
 SUsurAJajvEVkGxLjVfwYL5vQrs3UGSiKkNztn1c4D3sbXna+48056z7tvIKhdRbionl
 JFdg==
X-Gm-Message-State: AOAM533CicDXTPA5ZFAP/TRzP4bPdNSf7odQt9jcvAlHeSf9EOd7xUJE
 9N0/KvoRqt4RTBMf2JjT91Cm4V/418sLyg==
X-Google-Smtp-Source: ABdhPJwEBl//iNK7o6V4KhpBkb0Qp0dYkIiTzhtuL98OqWNkIQcwUe/rUX1iZlgeNDIukwamlnXjug==
X-Received: by 2002:a63:7354:: with SMTP id d20mr4694339pgn.290.1623994782451; 
 Thu, 17 Jun 2021 22:39:42 -0700 (PDT)
Received: from [158.108.238.8] ([158.108.238.8])
 by smtp.gmail.com with ESMTPSA id w7sm6511803pjy.11.2021.06.17.22.39.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 17 Jun 2021 22:39:42 -0700 (PDT)
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 <83o8c4zbph.fsf@HIDDEN>
From: Vee Satayamas <vsatayamas@HIDDEN>
Message-ID: <4791fa30-be3e-d97e-48f0-e9961ff2cdb8@HIDDEN>
Date: Fri, 18 Jun 2021 12:39:38 +0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.11.0
MIME-Version: 1.0
In-Reply-To: <83o8c4zbph.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 49074
Cc: 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)


On 6/17/21 11:40 PM, Eli Zaretskii wrote:
> (You mean U+0E94, I presume, not U+0E95.)
That are right.
> This is an image from an old version of Emacs.  The current versions
> don't have this problem anymore.
You are right. It works on my computer. I request to update the website. 
Should I report this to a different mailing list?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at 49074 <at> debbugs.gnu.org:


Received: (at 49074) by debbugs.gnu.org; 17 Jun 2021 16:40:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 17 12:40:37 2021
Received: from localhost ([127.0.0.1]:55095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ltv4H-0005ur-2F
	for submit <at> debbugs.gnu.org; Thu, 17 Jun 2021 12:40:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ltv4E-0005ue-86
 for 49074 <at> debbugs.gnu.org; Thu, 17 Jun 2021 12:40:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40926)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1ltv47-0003jI-CS; Thu, 17 Jun 2021 12:40:29 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3579
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ltv43-0005G7-Qf; Thu, 17 Jun 2021 12:40:26 -0400
Date: Thu, 17 Jun 2021 19:40:26 +0300
Message-Id: <83o8c4zbph.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vee Satayamas <vsatayamas@HIDDEN>
In-Reply-To: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
 (message from Vee Satayamas on Thu, 17 Jun 2021 14:51:16 +0700)
Subject: Re: bug#49074: Emacs website does not display Lao string correctly
References: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49074
Cc: 49074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Vee Satayamas <vsatayamas@HIDDEN>
> Date: Thu, 17 Jun 2021 14:51:16 +0700
> 
> The Emacs website, that is https://www.gnu.org/software/emacs/, does
> not display Lao string "ສະບາຍດີ" correctly. Lao vowel sign ii (U+0EB5)
> should be on top of Lao letter da (U+0E95).

(You mean U+0E94, I presume, not U+0E95.)

This is an image from an old version of Emacs.  The current versions
don't have this problem anymore.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2021 16:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 17 12:01:25 2021
Received: from localhost ([127.0.0.1]:55060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ltuSH-0004tB-7D
	for submit <at> debbugs.gnu.org; Thu, 17 Jun 2021 12:01:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:56820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vsatayamas@HIDDEN>) id 1ltmoG-0006io-Mz
 for submit <at> debbugs.gnu.org; Thu, 17 Jun 2021 03:51:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36960)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vsatayamas@HIDDEN>)
 id 1ltmoG-0006WL-Du
 for bug-gnu-emacs@HIDDEN; Thu, 17 Jun 2021 03:51:32 -0400
Received: from mail-ed1-x532.google.com ([2a00:1450:4864:20::532]:43878)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <vsatayamas@HIDDEN>)
 id 1ltmoE-0005X4-W6
 for bug-gnu-emacs@HIDDEN; Thu, 17 Jun 2021 03:51:32 -0400
Received: by mail-ed1-x532.google.com with SMTP id s6so2631963edu.10
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Jun 2021 00:51:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=PPrpB+JzEn2srNbmE++yk5KrffXaK/tEcQjUOw0rjcA=;
 b=F9mPGI8tnFEf6qzei4gS8vbz0KA0ksaANf7Bg/B8h+/zUNNmMgm3/cimBxoyy5S4WT
 9rEyy0XqUC6cFO79D5JNVk6q3T1Huis5tc6VqpEKK3WC0crvg4QpPSPTDizqp9qpwq/z
 cUS7coqGEdr4CmPKcLy5/tFGUlfI/Ks2P7SNt1dYHLwKH1TfWWGV1fi1ljH9FsCxIYd2
 jiPaBRHjqDzJ/qyA/oO4NHLbiexFVy6/NeAgjotNn4kGQ0nURY2FQudPSF1RvQj56Dtl
 5fuS2c7+R4txEDcQY3LlugAUYUIDAtwdNHb7l5f+r9LHBC9Pb/3h4x18kuGMll8waTSF
 iaew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=PPrpB+JzEn2srNbmE++yk5KrffXaK/tEcQjUOw0rjcA=;
 b=oMtiw7oOT3N9X2YzP0Kw6jZUPzB9XffBnBN+uTrp6iwyEQGIXYnlT9CiAE0F7kFbIH
 b9NHTT7qvIIG4jJresiBrHcIDWtXGU22d69UZW6QSBVnR8vnao+SE9ewSdZOvS5aEgzt
 0vDkSUeWH8DOC2sjZPLBbjJ8i/BBly6UC3CbpWgtSKbNkpJ8deW1K99u32mBXKW+NKEe
 p6xHMsff3DnTSDc3dQTLD211+JGslU1FGfnVpz607c9iqZh1ZqDvRkFhYEEu6j4LdtXZ
 499HTJzqu2+ny4DOI9NUWBCyalca5GgFursgbKNPMeTb/q5Bw+4OEjUSuA7ZhXDm57wj
 7WHA==
X-Gm-Message-State: AOAM5325DwjHOLG168VPyb6M4CXmTPt6fBpl+5SN1vM3mPfDlhXQtO4d
 GBMJY62zio3i9i19+Yj0u6OzPSMeG3jtv7Xnkh4ykZMVWCg=
X-Google-Smtp-Source: ABdhPJzE52yl/pYu5hGQ9P/5Iqx+rNY4tdDWV22j4wthv/jnGPHZcwMGvBuQQsyzCd8RJ8OnaM2lZjJftf7NTq3j758=
X-Received: by 2002:aa7:d3c2:: with SMTP id o2mr2719493edr.358.1623916288361; 
 Thu, 17 Jun 2021 00:51:28 -0700 (PDT)
MIME-Version: 1.0
From: Vee Satayamas <vsatayamas@HIDDEN>
Date: Thu, 17 Jun 2021 14:51:16 +0700
Message-ID: <CAABXx4JoGtfaQnXns-qW_ws_aoMH_+Skne2M2=Aegp=3MuVT5w@HIDDEN>
Subject: Emacs website does not display Lao string correctly
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::532;
 envelope-from=vsatayamas@HIDDEN; helo=mail-ed1-x532.google.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_20=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 17 Jun 2021 12:01:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi

The Emacs website, that is https://www.gnu.org/software/emacs/, does
not display Lao string "=E0=BA=AA=E0=BA=B0=E0=BA=9A=E0=BA=B2=E0=BA=8D=E0=BA=
=94=E0=BA=B5" correctly. Lao vowel sign ii (U+0EB5)
should be on top of Lao letter da (U+0E95).

I suppose Emacs can render this however it probably needs an another font.

Best regards,
Vee Satayamas




Acknowledgement sent to Vee Satayamas <vsatayamas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49074; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Jul 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.